import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NpiProviderWhereInputObjectSchema as NpiProviderWhereInputObjectSchema } from './NpiProviderWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => NpiProviderWhereInputObjectSchema).optional().nullable(),
  isNot: z.lazy(() => NpiProviderWhereInputObjectSchema).optional().nullable()
}).strict();
export const NpiProviderNullableScalarRelationFilterObjectSchema: z.ZodType<Prisma.NpiProviderNullableScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.NpiProviderNullableScalarRelationFilter>;
export const NpiProviderNullableScalarRelationFilterObjectZodSchema = makeSchema();
